# Update coupon

Use the **updatePromotionCoupon** method to add single or multiple coupons to a promotion.

Updating a promotion with multiple coupons causes any existing single coupon to be removed.

## Request parameters

<table><thead><tr><th width="262">Parameter</th><th>Type / Description</th></tr></thead><tbody><tr><td><code>promotionCode</code></td><td><p><strong>Required (string)</strong></p><p>The code corresponding to the promotion that you want to update.</p></td></tr><tr><td><code>promotionCoupon</code></td><td><strong>Required (object)</strong></td></tr><tr><td><code>promotionCoupon.type</code></td><td><p><strong>Required (string)</strong></p><p>Coupon type. Available values: </p><ul><li>SINGLE (use in conjunction with Code)</li><li>MULTIPLE (use in conjunction with Codes)</li></ul></td></tr><tr><td><code>promotionCoupon.Code/Codes</code></td><td><p><strong>Required (string / array of strings)</strong></p><p>Coupon code (for SINGLE) or array of coupon codes (for MULTIPLE).</p></td></tr></tbody></table>

### Request sample

```php
<?php

require ('PATH_TO_AUTH');

// Promotion code corresponding to the promotion you want to add coupons to
$promotionCode = '';

// Define single coupon object
$promotionCoupon = new stdClass;
$promotionCoupon->Type = 'SINGLE';
$promotionCoupon->Code = 'YOUR_CODE_HERE';

// Define multiple coupon object
$promotionCoupon = new stdClass;
$promotionCoupon->Type = 'MULTIPLE';
$promotionCoupon->Codes = ['YOUR_CODE_1', 'YOUR_CODE_2'];

try {
    $updatedPromotion = $client->addPromotionCoupon ($sessionID, $promotionCode, $promotionCoupon);
}

catch (SoapFault $e) {
    echo "UpdatedPromotion: " . $e->getMessage();
    exit;
}

var_dump("UpdatedPromotion", $updatedPromotion);
```

## Response parameters

<table><thead><tr><th width="166">Parameter</th><th>Type</th></tr></thead><tbody><tr><td><code>promotionCoupon</code></td><td><strong>Object</strong></td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.2checkout.com/soap-api-reference/soap-api-6.0/api-requests/coupons/update-coupon.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
